import { jsxs as a, jsx as e } from "react/jsx-runtime";
import { classNames as p } from "./index-classNames.js";
import { ChartsPlaceholder as l } from "./index-ChartsPlaceholder.js";
import { ComponentContainer as f } from "./index-ComponentContainer.js";
import { Render as o } from "./index-Render.js";
import "react";
import c from "./index-BigLegend.module.scss.js";
import { BigLegendItem as L } from "./index-BigLegendItem.js";
const j = (i) => {
  const {
    bigLegendData: n,
    testId: s = "BigLegendTestId",
    isLoading: r,
    style: m,
    ...d
  } = i;
  return a(f, {
    className: p(c.bigLegendContainer),
    style: m,
    testId: s,
    children: [e(o, {
      if: r,
      children: e(l, {})
    }), e(o, {
      if: !r,
      children: n.map((t, g) => e(L, {
        ...t,
        ...d,
        style: t.style ?? void 0
      }, g))
    })]
  });
};
export {
  j as BigLegend
};
